from __future__ import unicode_literals

from django.db import models
from rest_framework import routers, serializers, viewsets
from warpauth.models import LdapUser


class Product(models.Model):
    user = models.CharField(max_length=100, null=True)
    title = models.CharField(max_length=100)
    message = models.TextField()
    created = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.title

class UserCredit(models.Model):
    uid = models.CharField(max_length=100,unique=True)
    credit = models.FloatField()


class UserCreditSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = UserCredit
        fields = ['uid', 'credit']
