from django.db import IntegrityError
from warpauth.models import LdapUser
from warppay.models import UserCredit, UserCreditSerializer
from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework.authentication import TokenAuthentication
from rest_framework.permissions import IsAuthenticated
from rest_framework.decorators import authentication_classes, permission_classes

# from rest_framework.authtoken.models import Token
# token = Token.objects.create(user=request.user)
# logging.getLogger('main').info(token.key)

@api_view(['GET', 'POST', 'PUT'])
@authentication_classes((TokenAuthentication,))
@permission_classes((IsAuthenticated,))
def user_list(request):
    if request.method == 'GET':
        sync_users()
        users = UserCredit.objects.all()
        serializer = UserCreditSerializer(users, many=True)
        return Response(serializer.data)
    elif request.method == 'POST':

        return Response()
    elif request.method == 'PUT':
        sync_users()
        try:
            UserCredit.objects.get(uid=request.data['uid'])
        except UserCredit.DoesNotExist:
            u = UserCredit(uid=request.data['uid'], credit=0.0)
            u.save()
        return Response()

def sync_users():
    for user in LdapUser.objects.all():
        try:
            u = UserCredit(uid=user, credit=0.0)
            u.save()
        except IntegrityError:
            pass
